export function make_one_vector3() {
    return make_vector3(1,1,1);
}
export function make_vector3(x,y,z) {
    return (out, out_offset, direction, direction_offset) => {
        out[out_offset] = x;
        out[out_offset + 1] = y;
        out[out_offset + 2] = z;
    }
}
